# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.16

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: sman
# Configuration: Debug
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5

# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include rules.ninja


#############################################
# Utility command for edit_cache

build CMakeFiles\edit_cache.util: CUSTOM_COMMAND
  COMMAND = cmd.exe /C "cd /D C:\college\scr\sim-management\out\build\x64-Debug && "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" -E echo "No interactive CMake dialog available.""
  DESC = No interactive CMake dialog available...
  restat = 1

build edit_cache: phony CMakeFiles\edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles\rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cmd.exe /C "cd /D C:\college\scr\sim-management\out\build\x64-Debug && "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" -SC:\college\scr\sim-management -BC:\college\scr\sim-management\out\build\x64-Debug"
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles\rebuild_cache.util

# =============================================================================
# Write statements declared in CMakeLists.txt:
# C:/college/scr/sim-management/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for EXECUTABLE target sman


#############################################
# Order-only phony target for sman

build cmake_object_order_depends_target_sman: phony || src\CMakeFiles\sman.dir

build src\CMakeFiles\sman.dir\sman.cpp.obj: CXX_COMPILER__sman ..\..\..\src\sman.cpp || cmake_object_order_depends_target_sman
  DEFINES = -DNNG_HAVE_BUS0 -DNNG_HAVE_PAIR0 -DNNG_HAVE_PAIR1 -DNNG_HAVE_PUB0 -DNNG_HAVE_PULL0 -DNNG_HAVE_PUSH0 -DNNG_HAVE_REP0 -DNNG_HAVE_REQ0 -DNNG_HAVE_RESPONDENT0 -DNNG_HAVE_SUB0 -DNNG_HAVE_SURVEYOR0 -DNNG_TRANSPORT_INPROC -DNNG_TRANSPORT_IPC -DNNG_TRANSPORT_TCP -DWIN32
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1   /vmg /MP -std:c++17
  INCLUDES = -IC:\Users\robin\zooi\vcpkg\installed\x64-windows\include
  OBJECT_DIR = src\CMakeFiles\sman.dir
  OBJECT_FILE_DIR = src\CMakeFiles\sman.dir
  TARGET_COMPILE_PDB = src\CMakeFiles\sman.dir\
  TARGET_PDB = src\sman.pdb


# =============================================================================
# Link build statements for EXECUTABLE target sman


#############################################
# Link the executable src\sman.exe

build src\sman.exe: CXX_EXECUTABLE_LINKER__sman src\CMakeFiles\sman.dir\sman.cpp.obj | C$:\Users\robin\zooi\vcpkg\installed\x64-windows\debug\lib\systemc.lib C$:\Users\robin\zooi\vcpkg\installed\x64-windows\debug\lib\jsoncpp.lib C$:\Users\robin\zooi\vcpkg\installed\x64-windows\debug\lib\nng.lib
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1
  LINK_FLAGS = /machine:x64 /debug /INCREMENTAL /subsystem:console
  LINK_LIBRARIES = C:\Users\robin\zooi\vcpkg\installed\x64-windows\debug\lib\systemc.lib  C:\Users\robin\zooi\vcpkg\installed\x64-windows\debug\lib\jsoncpp.lib  C:\Users\robin\zooi\vcpkg\installed\x64-windows\debug\lib\nng.lib  kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib
  OBJECT_DIR = src\CMakeFiles\sman.dir
  POST_BUILD = cmd.exe /C "cd /D C:\college\scr\sim-management\out\build\x64-Debug\src && powershell -noprofile -executionpolicy Bypass -file C:/Users/robin/zooi/vcpkg/scripts/buildsystems/msbuild/applocal.ps1 -targetBinary C:/college/scr/sim-management/out/build/x64-Debug/src/sman.exe -installedDir C:/Users/robin/zooi/vcpkg/installed/x64-windows/debug/bin -OutVariable out"
  PRE_LINK = cd .
  TARGET_COMPILE_PDB = src\CMakeFiles\sman.dir\
  TARGET_FILE = src\sman.exe
  TARGET_IMPLIB = src\sman.lib
  TARGET_PDB = src\sman.pdb


#############################################
# Utility command for edit_cache

build src\CMakeFiles\edit_cache.util: CUSTOM_COMMAND
  COMMAND = cmd.exe /C "cd /D C:\college\scr\sim-management\out\build\x64-Debug\src && "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" -E echo "No interactive CMake dialog available.""
  DESC = No interactive CMake dialog available...
  restat = 1

build src\edit_cache: phony src\CMakeFiles\edit_cache.util


#############################################
# Utility command for rebuild_cache

build src\CMakeFiles\rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cmd.exe /C "cd /D C:\college\scr\sim-management\out\build\x64-Debug\src && "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" -SC:\college\scr\sim-management -BC:\college\scr\sim-management\out\build\x64-Debug"
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build src\rebuild_cache: phony src\CMakeFiles\rebuild_cache.util

# =============================================================================
# Target aliases.

build sman: phony src\sman.exe

build sman.exe: phony src\sman.exe

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: C:/college/scr/sim-management/out/build/x64-Debug

build all: phony src\all

# =============================================================================

#############################################
# Folder: C:/college/scr/sim-management/out/build/x64-Debug/src

build src\all: phony src\sman.exe

# =============================================================================
# Built-in targets


#############################################
# Make the all target the default.

default all

#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja: RERUN_CMAKE | ..\..\..\CMakeLists.txt ..\..\..\src\CMakeLists.txt C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeCInformation.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeCXXInformation.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeCommonLanguageInclude.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeFindDependencyMacro.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeGenericSystem.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeInitializeConfigs.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeLanguageInformation.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeRCInformation.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeSystemSpecificInformation.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeSystemSpecificInitialize.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Compiler\CMakeCommonCompilerMacros.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Compiler\MSVC-C.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Compiler\MSVC-CXX.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Platform\Windows-MSVC-C.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Platform\Windows-MSVC-CXX.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Platform\Windows-MSVC.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Platform\Windows.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Platform\WindowsPaths.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\jsoncpp\jsoncppConfig-debug.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\jsoncpp\jsoncppConfig-release.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\jsoncpp\jsoncppConfig.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\jsoncpp\jsoncppConfigVersion.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\nng\nng-config-version.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\nng\nng-config.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\nng\nng-targets-debug.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\nng\nng-targets-release.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\nng\nng-targets.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\systemclanguage\SystemCLanguageConfig.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\systemclanguage\SystemCLanguageConfigVersion.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\systemclanguage\SystemCLanguageTargets-debug.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\systemclanguage\SystemCLanguageTargets-release.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\systemclanguage\SystemCLanguageTargets.cmake C$:\Users\robin\zooi\vcpkg\scripts\buildsystems\vcpkg.cmake CMakeCache.txt CMakeFiles\3.16.19112601-MSVC_2\CMakeCCompiler.cmake CMakeFiles\3.16.19112601-MSVC_2\CMakeCXXCompiler.cmake CMakeFiles\3.16.19112601-MSVC_2\CMakeRCCompiler.cmake CMakeFiles\3.16.19112601-MSVC_2\CMakeSystem.cmake
  pool = console


#############################################
# A missing CMake input file is not an error.

build ..\..\..\CMakeLists.txt ..\..\..\src\CMakeLists.txt C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeCInformation.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeCXXInformation.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeCommonLanguageInclude.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeFindDependencyMacro.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeGenericSystem.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeInitializeConfigs.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeLanguageInformation.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeRCInformation.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeSystemSpecificInformation.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\CMakeSystemSpecificInitialize.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Compiler\CMakeCommonCompilerMacros.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Compiler\MSVC-C.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Compiler\MSVC-CXX.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Platform\Windows-MSVC-C.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Platform\Windows-MSVC-CXX.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Platform\Windows-MSVC.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Platform\Windows.cmake C$:\Program$ Files$ (x86)\Microsoft$ Visual$ Studio\2019\Community\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.16\Modules\Platform\WindowsPaths.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\jsoncpp\jsoncppConfig-debug.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\jsoncpp\jsoncppConfig-release.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\jsoncpp\jsoncppConfig.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\jsoncpp\jsoncppConfigVersion.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\nng\nng-config-version.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\nng\nng-config.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\nng\nng-targets-debug.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\nng\nng-targets-release.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\nng\nng-targets.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\systemclanguage\SystemCLanguageConfig.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\systemclanguage\SystemCLanguageConfigVersion.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\systemclanguage\SystemCLanguageTargets-debug.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\systemclanguage\SystemCLanguageTargets-release.cmake C$:\Users\robin\zooi\vcpkg\installed\x64-windows\share\systemclanguage\SystemCLanguageTargets.cmake C$:\Users\robin\zooi\vcpkg\scripts\buildsystems\vcpkg.cmake CMakeCache.txt CMakeFiles\3.16.19112601-MSVC_2\CMakeCCompiler.cmake CMakeFiles\3.16.19112601-MSVC_2\CMakeCXXCompiler.cmake CMakeFiles\3.16.19112601-MSVC_2\CMakeRCCompiler.cmake CMakeFiles\3.16.19112601-MSVC_2\CMakeSystem.cmake: phony


#############################################
# Clean all the built files.

build clean: CLEAN


#############################################
# Print all primary targets available.

build help: HELP

